    001package javax.visrec.regression;
    002
    003/**
    004 * Base interface for all regressors.
    005 * Regressors try to predict a continual value(s) (a decimal number) based on a set of inputs.
    006 *
    007 * @author Zoran Sevarac
    008 * @param <I> type of inputs / features
    009 * @param <R> return/result type
    010 */
    011public interface Regressor<I, R> {
    012
    013    R predict(I inputs);
    014
    015}